/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENSYx527Driver.h"
#include "CAENSYx527Def.h"

using namespace std;

namespace caen_syx527 {

/*
 * Constructor
 */
PerfectCAENSYx527Driver::PerfectCAENSYx527Driver(CAENSYx527Driver* owner) :
	CAENSYx527State(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENSYx527Driver::~PerfectCAENSYx527Driver() {
	/* Empty */
}

/*
 * init
 */
void PerfectCAENSYx527Driver::init() {


		owner()->nslot=1;
		owner()->nchannelperslot.set(0,32);
		owner()->modelboard.set(0,"None");
		owner()->descrboard.set(0,"None");
		owner()->firmboard.set(0,"None");
		owner()->ntotchannel=32;
		for(int i=0;i<32;i++){
			owner()->islot.set(i,0);
			owner()->itotchannel.set(i,i);
			owner()->ichannel.set(i,i);
    	}


}




/*
 * readParam
 */
void PerfectCAENSYx527Driver::readParamChannels() {

}


/*
 * writeParam
 */
void PerfectCAENSYx527Driver::writeParam(int iChannel,string Param,float value) {

}

/*
 * powerOn
 */
void PerfectCAENSYx527Driver::powerOn(int iChannel) {

}

/*
 * powerOff
 */
void PerfectCAENSYx527Driver::powerOff(int iChannel) {

}

}
